package com.gic.haoban.manage.api.qdto.moment;

import com.gic.api.base.commons.BasePageInfo;

import java.util.Date;

public class PlanDataListQDTO extends BasePageInfo {


    private Long planId ;

    /**
     * 成员名称
     */
    private String staffName ;

    private String staffNameLike ;

    /**
     * 导购条件
     */
    private String clerkParams ;

    private String clerkParamsLike ;

    /**
     *   1点赞  2评论
     */
    private Integer type ;

    private Date startTime ;

    private Date endTime ;

    /**
     * 排序字段 完成率:exec_rate 点赞：total_like_count 评论：total_comment_count
     */
    private String sortColumn ;

    /**
     * desc / asc
     */
    private String sortType ;

    public Long getPlanId() {
        return planId;
    }

    public void setPlanId(Long planId) {
        this.planId = planId;
    }

    public String getStaffNameLike() {
        return staffNameLike;
    }

    public void setStaffNameLike(String staffNameLike) {
        this.staffNameLike = staffNameLike;
    }

    public String getSortColumn() {
        return sortColumn;
    }

    public void setSortColumn(String sortColumn) {
        this.sortColumn = sortColumn;
    }

    public String getSortType() {
        return sortType;
    }

    public void setSortType(String sortType) {
        this.sortType = sortType;
    }

    public String getClerkParamsLike() {
        return clerkParamsLike;
    }

    public void setClerkParamsLike(String clerkParamsLike) {
        this.clerkParamsLike = clerkParamsLike;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getClerkParams() {
        return clerkParams;
    }

    public void setClerkParams(String clerkParams) {
        this.clerkParams = clerkParams;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }
}
